<?php
/**
 * @package		Joomla.Site
 * @subpackage	mod_ot_banners
 * @copyright	Copyright (C) 2005 - 2013 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;

// Include the syndicate functions only once
require_once dirname(__FILE__).'/helper.php';
$doc = &JFactory::getDocument();
$doc->addStyleSheet(JURI::base().'/modules/mod_ot_banners/css/layout.css');
$headerText	= trim($params->get('header_text'));
$footerText	= trim($params->get('footer_text'));
$direction = $params->get('direction', 0);
$itemperframe = $params->get('itemperframe', 1);

require_once JPATH_ADMINISTRATOR . '/components/com_banners/helpers/banners.php';
BannersHelper::updateReset();
$list = &modOTBannersHelper::getList($params);
$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx'));

require JModuleHelper::getLayoutPath('mod_ot_banners', $params->get('layout', 'default'));
