<?php

/**

*

* Currency controller

*

* @package	VirtueMart

* @subpackage Currency

* @author RickG

* @link http://www.virtuemart.net

* @copyright Copyright (c) 2004 - 2010 VirtueMart Team. All rights reserved.

* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php

* VirtueMart is free software. This version may have been modified pursuant

* to the GNU General Public License, and as distributed it includes or

* is derivative of works licensed under the GNU General Public License or

* other free or open source software licenses.

* @version $Id: currency.php 6071 2012-06-06 15:33:04Z Milbo $

*/



// Check to ensure this file is included in Joomla!

defined('_JEXEC') or die('Restricted access');



// Load the controller framework

jimport('joomla.application.component.controller');



if(!class_exists('VmController'))require(JPATH_VM_ADMINISTRATOR.DS.'helpers'.DS.'vmcontroller.php');





/**

 * Currency Controller

 *

 * @package    VirtueMart

 * @subpackage Currency

 * @author RickG, Max Milbers, Patrick Kohl

 */

class VirtuemartControllerCurrency extends VmController {



	/**

	 * Method to display the view

	 *

	 * @access	public

	 * @author

	 */

	function __construct() {

		parent::__construct();





	}



	/**

	 * We want to allow html so we need to overwrite some request data

	 *

	 * @author Max Milbers

	 */

	function save($data = 0){



		$data = JRequest::get('post');



		$data['currency_positive_style'] = JRequest::getVar('currency_positive_style','','post','STRING',JREQUEST_ALLOWHTML);

		$data['currency_negative_style'] = JRequest::getVar('currency_negative_style','','post','STRING',JREQUEST_ALLOWHTML);



		parent::save($data);

	}

}

// pure php no closing tag

