<?php

/**

 *

 * Show the product details page

 *

 * @package	VirtueMart

 * @subpackage

 * @author Max Milbers, Valerie Isaksen



 * @link http://www.virtuemart.net

 * @copyright Copyright (c) 2004 - 2010 VirtueMart Team. All rights reserved.

 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php

 * VirtueMart is free software. This version may have been modified pursuant

 * to the GNU General Public License, and as distributed it includes or

 * is derivative of works licensed under the GNU General Public License or

 * other free or open source software licenses.

 * @version $Id: default_manufacturer.php 5409 2012-02-09 13:52:54Z alatak $

 */

// Check to ensure this file is included in Joomla!

defined('_JEXEC') or die('Restricted access');

?>

<div class="manufacturer">

    <?php

    $link = JRoute::_('index.php?option=com_virtuemart&view=manufacturer&virtuemart_manufacturer_id=' . $this->product->virtuemart_manufacturer_id . '&tmpl=component');

    $text = $this->product->mf_name;



    /* Avoid JavaScript on PDF Output */

    if (strtolower(JRequest::getWord('output')) == "pdf") {

	echo JHTML::_('link', $link, $text);

    } else {

	?>

        <span class="bold"><?php echo JText::_('COM_VIRTUEMART_PRODUCT_DETAILS_MANUFACTURER_LBL') ?></span><a class="modal" rel="{handler: 'iframe', size: {x: 700, y: 550}}" href="<?php echo $link ?>"><?php echo $text ?></a>

    <?PHP } ?>

</div>